# SimpleCrop

The only `full-platform` picture cropping component that `supports cropping pictures at any angle` and interacts with the interaction experience comparable to that of native clients.

[中文](README.md)

## Features

Compared with the currently popular Web picture cropping components, its advantages are as follows:

- Picture supports rotation at any angle.
- Supports Script, React, Vue, Wechat.
- Supports mobile and PC.
- Supports border judgment. When there is a blank in the crop box, the picture is automatically absorbed to completely fill the crop box.
- Touch scaling is based on the center of two fingers.
- Has an interactive experience comparable to native clients.

## Installation

```bash
npm install simple-crop
```

## Examples

### Wechat Example

![WeChat example](https://newbieyoung.github.io/images/simple-crop-16.jpg)

### Mobile Example

![Mobile example](https://newbieyoung.github.io/images/simple-crop-0.jpg)

> On the left is the picture cropping example in the IOS system album, and on the right is the SimpleCrop mobile example.

Scan the QR code:

![QR code for mobile example](https://newbieyoung.github.io/images/simple-crop-1.png)

Visit the following links:

[https://newbieyoung.github.io/Simple-Crop/examples/test-2.html](https://newbieyoung.github.io/Simple-Crop/examples/test-2.html)

### PC Example

![PC example](https://newbieyoung.github.io/images/simple-crop-11.jpg)

[https://newbieyoung.github.io/Simple-Crop/examples/test-1.html](https://newbieyoung.github.io/Simple-Crop/examples/test-1.html)

## Usage

- [Script Usage](USAGE-script.md)
- [Wechat Usage](USAGE-wechat.md)
- [React Usage](USAGE-react.md)
- [Vue Usage](USAGE-react.md)

## [Document](DOCUMENT-en.md)

## License

This content is released under the [MIT](http://opensource.org/licenses/MIT) License.
